/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.test.activiti.entity.OALeave;

/**
 * 施工交底MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface ConstructionMapper extends BaseMapper<Construction> {

    int newUpdate(Construction construction);

    User queryPerson(String loginName);

    /**
     * 根据登陆名查询角色
     * */
    String nameFindOffice(String loginName);

    void newSave(Construction construction);

    void updateExamine(Construction construction);

    //根据流程id查询项目的需求提出单位
    String demandUnit(String procInsId);

    //根据流程定义号查询项目需求名称
    String idProjectName(String procInsId);

}