package com.jeeplus.modules.sg.managementcenter.activiti.utils;

import com.google.common.collect.Maps;
import com.google.gson.internal.$Gson$Preconditions;
import com.jeeplus.common.json.AjaxJson;
import com.jeeplus.common.utils.excel.ImportExcel;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Disclose;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.MyNeedList;
import org.apache.poi.ss.usermodel.Row;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.net.URLDecoder;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class MyImportUtils {
    public AjaxJson importConclusion(ImportExcel ei, int lastDataRowNum,String projectName) {
        List<Disclose> needList = new ArrayList<>();//记录需要的disclose数据
        MyNeedList myNeedList = MyActiviUtils.findActivity("项目经理组织交底");//查询所有节点在项目组织交底的任务
        List<String> proInsIdList = myNeedList.getProInsIdList();//获取所有的proInsId
        List<String> taskIsList = myNeedList.getTaskIsList();//获取所有的taskId
        AjaxJson j = new AjaxJson();
        String failureString = "";
        try {
            int successNum = 0;
            int failureNum = 0;
            Disclose disclose = new Disclose();
            for (int i = 1; i < lastDataRowNum; i++) {
                Row row = ei.getRow(i);
                String requireName = ei.getCellValue(row, 1).toString();
                String projectNumber = ei.getCellValue(row, 2).toString();
                String newProjectName = ei.getCellValue(row, 3).toString();
                String projectId = ei.getCellValue(row, 4).toString();
                String channel = ei.getCellValue(row, 5).toString();
                String capacity = ei.getCellValue(row, 6).toString();
                String sceneSize = ei.getCellValue(row, 7).toString();
                String capacitySize = ei.getCellValue(row, 8).toString();
                String hiddenDanger = ei.getCellValue(row, 9).toString();
                String influenceConstruction = ei.getCellValue(row, 10).toString();
                String projectRepetition = ei.getCellValue(row, 11).toString();
                String implemented = ei.getCellValue(row, 12).toString();
                String transformer = ei.getCellValue(row, 13).toString();
                String explanationOfNecessity = ei.getCellValue(row, 14).toString();
                String lineName = ei.getCellValue(row, 15).toString();
                String quantities = ei.getCellValue(row, 16).toString();
                String rodNumber = ei.getCellValue(row, 17).toString();
                String inconsistentDescription = ei.getCellValue(row, 18).toString();
                String administrationType = ei.getCellValue(row, 19).toString();
                String precondition = ei.getCellValue(row, 20).toString();
                String policyHandlingInstructions = ei.getCellValue(row, 21).toString();
                String placementMode = ei.getCellValue(row, 22).toString();
                String productionDate = ei.getCellValue(row, 23).toString();
                String integrateModule = ei.getCellValue(row, 24).toString();
                String needReplace = ei.getCellValue(row, 25).toString();
                String overallTransformation = ei.getCellValue(row, 26).toString();
                if (projectNumber == "" ||newProjectName == "" ||projectId == "" ||channel == "" ||capacity == "" ||sceneSize == "" ||capacitySize == "" ||hiddenDanger == "" ||influenceConstruction == "" ||projectRepetition == "" ||implemented == "" ||transformer == "" ||explanationOfNecessity == "" ||lineName == "" ||quantities == "" ||rodNumber == "" ||inconsistentDescription == "" ||administrationType == "" ||precondition == "" ||policyHandlingInstructions == "" ||placementMode == "" ||productionDate == "" ||integrateModule == "" ||needReplace == "" ||overallTransformation == "") {
                    failureString += newProjectName + "有未填字段\r";
                    continue;
                } else {
                    disclose.setRequireName(requireName);
                    disclose.setConId(requireName);
                    disclose.setProjectNumber(projectNumber);
                    disclose.setProjectName(newProjectName);
                    disclose.setProjectId(projectId);
                    disclose.setChannel(channel);
                    disclose.setCapacity(capacity);
                    disclose.setSceneSize(sceneSize);
                    disclose.setCapacitySize(capacitySize);
                    disclose.setHiddenDanger(hiddenDanger);
                    disclose.setInfluenceConstruction(influenceConstruction);
                    disclose.setProjectRepetition(projectRepetition);
                    disclose.setImplemented(implemented);
                    disclose.setTransformer(transformer);
                    disclose.setExplanationOfNecessity(explanationOfNecessity);
                    disclose.setLineName(lineName);
                    disclose.setQuantities(quantities);
                    disclose.setRodNumber(rodNumber);
                    disclose.setInconsistentDescription(inconsistentDescription);
                    disclose.setAdministrationType(administrationType);
                    disclose.setPrecondition(precondition);
                    disclose.setPolicyHandlingInstructions(policyHandlingInstructions);
                    disclose.setPlacementMode(placementMode);
                    disclose.setProductionDate(productionDate);
                    disclose.setIntegrateModule(integrateModule);
                    disclose.setNeedReplace(needReplace);
                    disclose.setOverallTransformation(overallTransformation);
                    needList.add(disclose);
                    /*Map<String, Object> vars = Maps.newHashMap();
                    if (projectName.equals("a")) {
                        vars.put("pass1", true);
                    }
                    projectName = URLDecoder.decode(projectName, "UTF-8");

                    if (projectName.equals(requireName)) {

                    }*/
                }
            }
            //遍历所有的proInsId和需要插入的文件进行比对
            for (String a : proInsIdList) {
                for (Disclose disclose1 : needList) {
                    if (disclose1.equals(a)) {

                    }
                }
            }
            j.setMsg("已成功导入" + successNum + "记录" + failureString);
        } catch (Exception e) {
            e.printStackTrace();
            j.setSuccess(false);
            j.setMsg("导入失败！失败信息：" + e.getMessage());
        }
        return j;
    }
}
