<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目管理列表页</title>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@include file="pickIng.js" %>
	<style type="text/css">
		#div1{
			margin-top: 10px;
		}
	</style>
</head>
<body>
	<div class="wrapper wrapper-content">
	<div class="panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title">模块表展示</h3>
	</div>
		<div class="panel-body">
			<div>
				<ul class="nav nav-tabs">
					<li role="presentation"><a id="dq" href="javascript:void(0)">填写需要材料</a></li>
					<li role="presentation"><a id="qd" href="javascript:void(0)">查看领料清单</a></li>
				</ul>
			</div>
			<!-- 表格 -->
			<div id="div1">
				<table class="table table-view">
					<thead>
					<c:forEach items="#{pickListList}" var="items" varStatus="status">
						<c:if test="${status.count eq 1 || (status.count-1) % 1 eq 0}">
						<tr>
						</c:if>
							<td colspan="4">${items.name}</td>
						<c:if test="${status.count % 1 eq 0 || status.count eq 5}">
						</tr>
						</c:if>
						<c:forEach items="#{items.mdTheClassList}" var="items" varStatus="status">
							<c:if test="${status.count eq 1 || (status.count-1) % 1 eq 0}">
								<tr>
							</c:if>
							<td colspan="4"><a href="${items.id}">${items.name}</a></td>
							<c:if test="${status.count % 1 eq 0 || status.count eq 5}">
								</tr>
							</c:if>
							<c:forEach items="${items.mdSmallClassList}" var="itemss" varStatus="status">
								<c:if test="${status.count eq 1 || (status.count-1) % 4 eq 0}">
									<tr>
								</c:if>
									<td>${itemss.name}:&nbsp;&nbsp;<input placeholder="0" type="number" min="0" name="need" id="${itemss.id}"/>&nbsp;${itemss.mdUnit}</td>
								<c:if test="${status.count % 4 eq 0 || status.count eq 4}">
									</tr>
								</c:if>
							</c:forEach>
						</c:forEach>
					</c:forEach>
					</thead>
				</table>
				<div class="row">
					<div class="col-sm-3"></div>
					<div class="col-sm-6">
						<div class="form-group text-center">
							<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认提交" />&nbsp;
						</div>
					</div>
				</div>
			</div>
			<div id="div2" style="display: none">
				<table id="informationTable"   data-toolbar="#toolbar" class="table"></table>
			</div>
			<c:if test="${not empty showList.id}">
				<act:flowChart procInsId="${showList.act.procInsId}"/>
				<act:histoicFlow procInsId="${showList.act.procInsId}" />
			</c:if>
		</div>

	</div>
	</div>
</body>
</html>